%define name	b43-fwcutter
%define version	011
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	Tool to extract firmware for Broadcom 43xx network chip
Version: 	%{version}
Release: 	%{release}

Source:		http://bu3sch.de/b43/fwcutter/%{name}-%{version}.tar.bz2
Patch0:		%{name}-008-install_perms.patch
URL:		http://linuxwireless.org/en/users/Drivers/b43
#previous site http://bcm43xx.berlios.de/
License:	GPL
Group:		System/Configuration/Networking
BuildRoot:	%{_tmppath}/%{name}-buildroot
#Obsoletes:	bcm43xx-fwcutter

%description
Fwcutter allows you to extract the firmware required for Broadcom 43xx chips
out of the .o files available with the card or on the internet.

Not all versions of the firmwares are supported by this tool.
You can list supported firmwares with :
b43-fwcutter -l

Depending on your chip, you will need a version 3 or 4 firmware.

Useful reading and links to firmwares that can be extracted are available at 
http://linuxwireless.org/en/users/Drivers/b43

Extract (as root) with :
b43-fwcutter -w /lib/firmware wl_apsta_mimo.o

It will create files directly at the required place (in either b43legacy or 
b43 subfolder).

%prep
%setup -q
%patch0 -p0
perl -pi -e 's|man/man1|share/man/man1|g' Makefile

%build
%make
										
%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=%buildroot/%_prefix

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/man1/*



%changelog
* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 011-2mdv2009.0
+ Revision: 264326
- rebuild early 2009.0 package (before pixel changes)

* Tue Mar 04 2008 Guillaume Bedot <littletux@mandriva.org> 011-1mdv2009.0
+ Revision: 178974
- drop obsolete patch
- New release 011

* Fri Jan 25 2008 Guillaume Bedot <littletux@mandriva.org> 010-2mdv2008.1
+ Revision: 157948
- allow to extract firmware for our current kernel without specifying a misleading option.

* Fri Jan 25 2008 Guillaume Bedot <littletux@mandriva.org> 010-1mdv2008.1
+ Revision: 157869
- new version
- updated URL, description
- dropped README.urpmi

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 008-2mdv2008.1
+ Revision: 148911
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Guillaume Bedot <littletux@mandriva.org> 008-1mdv2008.0
+ Revision: 75833
- New name for bcm43xx-fwcutter package
- Create b43-fwcutter

